import { OnInit } from '@angular/core';
import { TimelineItem } from './models/timeline-item';
import * as i0 from "@angular/core";
declare const HORIZONTAL = "horizontal";
declare const VERTICAL = "vertical";
export declare class TimelineComponent implements OnInit {
    private _innerWidth;
    private _items;
    get items(): TimelineItem[];
    set items(items: TimelineItem[]);
    activeIndex: number;
    highlightActiveItem: boolean;
    direction: typeof HORIZONTAL | typeof VERTICAL;
    collapsable: boolean;
    counterLabel: string;
    ngOnInit(): void;
    onResize(_: any): void;
    changeToVertical(): boolean;
    checkDuplicateIds(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelineComponent, "s-timeline", never, { "items": { "alias": "items"; "required": true; }; "activeIndex": { "alias": "activeIndex"; "required": true; }; "highlightActiveItem": { "alias": "highlightActiveItem"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "collapsable": { "alias": "collapsable"; "required": false; }; "counterLabel": { "alias": "counterLabel"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
